Bug 245568 - zero-length modules.dep after calling modprobe
Summary: zero-length modules.dep after calling modprobe
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: module-init-tools (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Jon Masters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-25 14:06 UTC by Isamar Maia
Modified: 2008-04-26 01:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-26 01:35:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Isamar Maia 2007-06-25 14:06:21 UTC
Description of problem:

Everytime modprobe command is called, the file
/lib/modules/`uname -r`/modules.dep size goes to zero-length and
I am obligated to call "depmod -a"

Version-Release number of selected component (if applicable):


I am using FC6 with module-init-tools 3.3-0.pre1.4.17
The only particularity is that I did a re-spin of original FC6
to build a single CD FC6 installation. 


How reproducible:

modprobe <any-module>

* SELINUX is disabled
* /etc/modprobe.d/ has default files

I did a workaround making a "chattr +i" to the modules.dep file.



Steps to Reproduce:
1.
2.
3.
  
Actual results:

modules.dep file size is being zeroed after modprobe call.

Expected results:




Additional info:

Please, let me know if necessary any other information.

Comment 1 Bug Zapper 2008-04-04 07:26:17 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.